org.ajax4jsf.renderkit.html

## Class AjaxSupportRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.ajax4jsf.renderkit.AjaxCommandRendererBase
          - - org.ajax4jsf.renderkit.html.AjaxSupportRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class AjaxSupportRenderer
      extends AjaxCommandRendererBase

  Since `UIAjaxRegion` dont render itself ( only set apropriate event to parent component ) only `decode()` method implemented. In case of Ajax Request caused by event for a given component send action event.
  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:24 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSupportRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class` | `getComponentClass()`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxCommandRendererBase

      `doDecode, encodeChildren, getOnClick, getType, getValue, isSubmitted`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts, getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### AjaxSupportRenderer

          public AjaxSupportRenderer()

  - ### Method Detail

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

Copyright © 2014. All Rights Reserved.